<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Interface org.apache.poi.hwmf.record.HwmfRecord (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.poi.hwmf.record.HwmfRecord (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwmf/record/HwmfRecord.html"
               title="interface in org.apache.poi.hwmf.record">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwmf/record/class-use/HwmfRecord.html" target="_top">Frames</a>
        </li>
        <li><a href="HwmfRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Interface org.apache.poi.hwmf.record.HwmfRecord" class="title">Uses of Interface<br>org.apache.poi.hwmf.record.HwmfRecord
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../../org/apache/poi/hwmf/record/HwmfRecord.html"
                                                    title="interface in org.apache.poi.hwmf.record">HwmfRecord</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwmf.record">org.apache.poi.hwmf.record</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwmf.usermodel">org.apache.poi.hwmf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hwmf.record">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwmf/record/HwmfRecord.html"
                                   title="interface in org.apache.poi.hwmf.record">HwmfRecord</a> in <a
                            href="../../../../../../org/apache/poi/hwmf/record/package-summary.html">org.apache.poi.hwmf.record</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hwmf/record/package-summary.html">org.apache.poi.hwmf.record</a> that implement <a
                                href="../../../../../../org/apache/poi/hwmf/record/HwmfRecord.html"
                                title="interface in org.apache.poi.hwmf.record">HwmfRecord</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfArc.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfArc</a></span></code>
                                <div class="block">The META_ARC record draws an elliptical arc.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfChord.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfChord</a></span></code>
                                <div class="block">The META_CHORD record draws a chord, which is defined by a region
                                    bounded by the intersection of
                                    an ellipse with a line segment.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfEllipse.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfEllipse</a></span></code>
                                <div class="block">The META_ELLIPSE record draws an ellipse.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfFrameRegion.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfFrameRegion</a></span></code>
                                <div class="block">The META_FRAMEREGION record draws a border around a specified region
                                    using a specified brush.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfLineTo.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfLineTo</a></span></code>
                                <div class="block">The META_LINETO record draws a line from the drawing position that is
                                    defined in the playback
                                    device context up to, but not including, the specified point.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfMoveTo.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfMoveTo</a></span></code>
                                <div class="block">The META_MOVETO record sets the output position in the playback
                                    device context to a specified
                                    point.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfPie.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfPie</a></span></code>
                                <div class="block">The META_PIE record draws a pie-shaped wedge bounded by the
                                    intersection of an ellipse and two
                                    radials.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfPolygon.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfPolygon</a></span></code>
                                <div class="block">The META_POLYGON record paints a polygon consisting of two or more
                                    vertices connected by
                                    straight lines.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfPolyline.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfPolyline</a></span></code>
                                <div class="block">The META_POLYLINE record draws a series of line segments by
                                    connecting the points in the
                                    specified array.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfPolyPolygon.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfPolyPolygon</a></span></code>
                                <div class="block">The META_POLYPOLYGON record paints a series of closed polygons.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfRectangle.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfRectangle</a></span></code>
                                <div class="block">The META_RECTANGLE record paints a rectangle.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfRoundRect.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfRoundRect</a></span></code>
                                <div class="block">The META_ROUNDRECT record paints a rectangle with rounded corners.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfSelectObject.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfSelectObject</a></span></code>
                                <div class="block">The META_SELECTOBJECT record specifies a graphics object for the
                                    playback device context.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfDraw.WmfSetPixel.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfDraw.WmfSetPixel</a></span></code>
                                <div class="block">The META_RECTANGLE record paints a rectangle.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfEscape.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfEscape</a></span></code>
                                <div class="block">The MetafileEscapes specifies printer driver functionality that
                                    might not be directly accessible through WMF records
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfBitBlt.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfFill.WmfBitBlt</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfDibBitBlt.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfFill.WmfDibBitBlt</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfDibStretchBlt.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfFill.WmfDibStretchBlt</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfExtFloodFill.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfFill.WmfExtFloodFill</a></span></code>
                                <div class="block">The META_EXTFLOODFILL record fills an area with the brush that is
                                    defined in
                                    the playback device context.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfFillRegion.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfFill.WmfFillRegion</a></span></code>
                                <div class="block">The META_FILLREGION record fills a region using a specified brush.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfFloodFill.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfFill.WmfFloodFill</a></span></code>
                                <div class="block">The META_FLOODFILL record fills an area of the output surface with
                                    the brush that
                                    is defined in the playback device context.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfInvertRegion.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfFill.WmfInvertRegion</a></span></code>
                                <div class="block">The META_INVERTREGION record draws a region in which the colors are
                                    inverted.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfPaintRegion.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfFill.WmfPaintRegion</a></span></code>
                                <div class="block">The META_PAINTREGION record paints the specified region by using the
                                    brush that is
                                    defined in the playback device context.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfPatBlt.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfFill.WmfPatBlt</a></span></code>
                                <div class="block">The META_PATBLT record paints a specified rectangle using the brush
                                    that is defined in the playback
                                    device context.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfSetDibToDev.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfFill.WmfSetDibToDev</a></span></code>
                                <div class="block">The META_SETDIBTODEV record sets a block of pixels in the playback
                                    device context
                                    using deviceindependent color data.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfSetPolyfillMode.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfFill.WmfSetPolyfillMode</a></span></code>
                                <div class="block">The META_SETPOLYFILLMODE record sets polygon fill mode in the
                                    playback device context for
                                    graphics operations that fill polygons.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfStretchBlt.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfFill.WmfStretchBlt</a></span></code>
                                <div class="block">The META_STRETCHBLT record specifies the transfer of a block of
                                    pixels according to a raster
                                    operation, with possible expansion or contraction.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfStretchDib.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfFill.WmfStretchDib</a></span></code>
                                <div class="block">The META_STRETCHDIB record specifies the transfer of color data from
                                    a
                                    block of pixels in device independent format according to a raster operation,
                                    with possible expansion or contraction.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfCreateBrushIndirect.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfCreateBrushIndirect</a></span></code>
                                <div class="block">The META_CREATEBRUSHINDIRECT record creates a Brush Object
                                    from a LogBrush Object.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfCreatePatternBrush.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfCreatePatternBrush</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfCreatePenIndirect.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfCreatePenIndirect</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfDeleteObject.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfDeleteObject</a></span></code>
                                <div class="block">The META_DELETEOBJECT record deletes an object, including Bitmap16,
                                    Brush,
                                    DeviceIndependentBitmap, Font, Palette, Pen, and Region.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfDibCreatePatternBrush.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfDibCreatePatternBrush</a></span></code>
                                <div class="block">The META_DIBCREATEPATTERNBRUSH record creates a Brush Object with a
                                    pattern specified by a DeviceIndependentBitmap (DIB) Object
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfRestoreDc.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfRestoreDc</a></span></code>
                                <div class="block">The META_RESTOREDC record restores the playback device context from a
                                    previously saved device
                                    context.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSaveDc.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfSaveDc</a></span></code>
                                <div class="block">The META_SAVEDC record saves the playback device context for later
                                    retrieval.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetBkColor.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfSetBkColor</a></span></code>
                                <div class="block">The META_SETBKCOLOR record sets the background color in the playback
                                    device context to a
                                    specified color, or to the nearest physical color if the device cannot represent the
                                    specified color.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetBkMode.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfSetBkMode</a></span></code>
                                <div class="block">The META_SETBKMODE record defines the background raster operation mix
                                    mode in the playback
                                    device context.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetLayout.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfSetLayout</a></span></code>
                                <div class="block">The META_SETLAYOUT record defines the layout orientation in the
                                    playback device context.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetMapMode.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfSetMapMode</a></span></code>
                                <div class="block">The META_SETMAPMODE record defines the mapping mode in the playback
                                    device context.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetMapperFlags.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfSetMapperFlags</a></span></code>
                                <div class="block">The META_SETMAPPERFLAGS record defines the algorithm that the font
                                    mapper uses when it maps
                                    logical fonts to physical fonts.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetRelabs.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfSetRelabs</a></span></code>
                                <div class="block">The META_SETRELABS record is reserved and not supported.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetRop2.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfSetRop2</a></span></code>
                                <div class="block">The META_SETROP2 record defines the foreground raster operation mix
                                    mode in the playback device
                                    context.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetStretchBltMode.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfSetStretchBltMode</a></span></code>
                                <div class="block">The META_SETSTRETCHBLTMODE record defines the bitmap stretching mode
                                    in the playback device
                                    context.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfAnimatePalette.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfAnimatePalette</a></span></code>
                                <div class="block">The META_ANIMATEPALETTE record redefines entries in the logical
                                    palette that
                                    is defined in the playback device context with the specified Palette object

                                    The logical palette that is specified by the Palette object in this record is the
                                    source of the palette changes, and the logical palette that is currently selected
                                    into the playback device context is the destination.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfCreatePalette.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfCreatePalette</a></span></code>
                                <div class="block">The META_CREATEPALETTE record creates a Palette Object</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfPaletteParent.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfPaletteParent</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfRealizePalette.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfRealizePalette</a></span></code>
                                <div class="block">The META_REALIZEPALETTE record maps entries from the logical palette
                                    that
                                    is defined in the playback device context to the system palette.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfResizePalette.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfResizePalette</a></span></code>
                                <div class="block">The META_RESIZEPALETTE record redefines the size of the logical
                                    palette that is defined in the
                                    playback device context.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfSelectPalette.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfSelectPalette</a></span></code>
                                <div class="block">The META_SELECTPALETTE record defines the current logical palette
                                    with a specified Palette Object.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfSetPaletteEntries.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfSetPaletteEntries</a></span></code>
                                <div class="block">The META_SETPALENTRIES record defines RGB color values in a range of
                                    entries in the logical
                                    palette that is defined in the playback device context.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfText.WmfCreateFontIndirect.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfText.WmfCreateFontIndirect</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfText.WmfExtTextOut.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfText.WmfExtTextOut</a></span></code>
                                <div class="block">The META_EXTTEXTOUT record outputs text by using the font, background
                                    color, and text color that
                                    are defined in the playback device context.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfText.WmfSetTextAlign.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfText.WmfSetTextAlign</a></span></code>
                                <div class="block">The META_SETTEXTALIGN record defines text-alignment values in the
                                    playback device context.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfText.WmfSetTextCharExtra.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfText.WmfSetTextCharExtra</a></span></code>
                                <div class="block">The META_SETTEXTCHAREXTRA record defines inter-character spacing for
                                    text justification in the
                                    playback device context.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfText.WmfSetTextColor.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfText.WmfSetTextColor</a></span></code>
                                <div class="block">The META_SETTEXTCOLOR record defines the text foreground color in the
                                    playback device context.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfText.WmfSetTextJustification.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfText.WmfSetTextJustification</a></span></code>
                                <div class="block">The META_SETTEXTJUSTIFICATION record defines the amount of space to
                                    add to break characters
                                    in a string of justified text.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfText.WmfTextOut.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfText.WmfTextOut</a></span></code>
                                <div class="block">The META_TEXTOUT record outputs a character string at the specified
                                    location by using the font,
                                    background color, and text color that are defined in the playback device context.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfCreateRegion.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfCreateRegion</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfExcludeClipRect.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfExcludeClipRect</a></span></code>
                                <div class="block">The META_EXCLUDECLIPRECT record sets the clipping region in the
                                    playback device context to the
                                    existing clipping region minus the specified rectangle.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfIntersectClipRect.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfIntersectClipRect</a></span></code>
                                <div class="block">The META_INTERSECTCLIPRECT record sets the clipping region in the
                                    playback device context to the
                                    intersection of the existing clipping region and the specified rectangle.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfOffsetClipRgn.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfOffsetClipRgn</a></span></code>
                                <div class="block">The META_OFFSETCLIPRGN record moves the clipping region in the
                                    playback device context by the
                                    specified offsets.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfOffsetViewportOrg.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfOffsetViewportOrg</a></span></code>
                                <div class="block">The META_OFFSETVIEWPORTORG record moves the viewport origin in the
                                    playback device context
                                    by specified horizontal and vertical offsets.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfOffsetWindowOrg.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfOffsetWindowOrg</a></span></code>
                                <div class="block">The META_OFFSETWINDOWORG record moves the output window origin in the
                                    playback device context by specified horizontal and vertical offsets.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfScaleViewportExt.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfScaleViewportExt</a></span></code>
                                <div class="block">The META_SCALEVIEWPORTEXT record scales the horizontal and vertical
                                    extents of the viewport
                                    that is defined in the playback device context by using the ratios formed by the
                                    specified
                                    multiplicands and divisors.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfScaleWindowExt.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfScaleWindowExt</a></span></code>
                                <div class="block">The META_OFFSETWINDOWORG record moves the output window origin in the
                                    playback device context by specified horizontal and vertical offsets.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfSelectClipRegion.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfSelectClipRegion</a></span></code>
                                <div class="block">The META_SELECTCLIPREGION record specifies a Region Object to be the
                                    current clipping region.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfSetViewportExt.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfSetViewportExt</a></span></code>
                                <div class="block">The META_SETVIEWPORTEXT record sets the horizontal and vertical
                                    extents
                                    of the viewport in the playback device context.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfSetViewportOrg.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfSetViewportOrg</a></span></code>
                                <div class="block">The META_SETVIEWPORTORG record defines the viewport origin in the
                                    playback device context.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfSetWindowExt.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfSetWindowExt</a></span></code>
                                <div class="block">The META_SETWINDOWEXT record defines the horizontal and vertical
                                    extents
                                    of the output window in the playback device context.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfSetWindowOrg.html"
                                    title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfSetWindowOrg</a></span></code>
                                <div class="block">The META_SETWINDOWORG record defines the output window origin in the
                                    playback device context.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../../org/apache/poi/hwmf/record/package-summary.html">org.apache.poi.hwmf.record</a> with type parameters of type <a
                                href="../../../../../../org/apache/poi/hwmf/record/HwmfRecord.html"
                                title="interface in org.apache.poi.hwmf.record">HwmfRecord</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.lang.Class&lt;? extends <a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfRecord.html"
                                    title="interface in org.apache.poi.hwmf.record">HwmfRecord</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HwmfRecordType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfRecordType.html#clazz">clazz</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwmf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hwmf/record/HwmfRecord.html"
                                   title="interface in org.apache.poi.hwmf.record">HwmfRecord</a> in <a
                            href="../../../../../../org/apache/poi/hwmf/usermodel/package-summary.html">org.apache.poi.hwmf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hwmf/usermodel/package-summary.html">org.apache.poi.hwmf.usermodel</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/hwmf/record/HwmfRecord.html"
                                title="interface in org.apache.poi.hwmf.record">HwmfRecord</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hwmf/record/HwmfRecord.html"
                                    title="interface in org.apache.poi.hwmf.record">HwmfRecord</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HwmfPicture.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hwmf/usermodel/HwmfPicture.html#getRecords--">getRecords</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwmf/record/HwmfRecord.html"
               title="interface in org.apache.poi.hwmf.record">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwmf/record/class-use/HwmfRecord.html" target="_top">Frames</a>
        </li>
        <li><a href="HwmfRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
